<?php
/**
 * Demo importer custom function
 * We use https://wordpress.org/plugins/one-click-demo-import/ to import our demo content
 */

/**
 * Define demo file
 */
function saha_import_files() {
	return array(
		array(
			'import_file_name'             => 'Demo Standard',
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo/dummy-data.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo/widgets.wie',
			'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo/customizer.dat',
			'import_preview_image_url'     => trailingslashit( get_template_directory() ) . 'screenshot.png'
		),
	);
}
add_filter( 'pt-ocdi/import_files', 'saha_import_files' );

/**
 * After import function
 */
function saha_after_import_setup() {

	// Assign menus to their locations.
	$top_menu_left = get_term_by( 'name', 'Top Menu Left', 'nav_menu' );
	$main_menu     = get_term_by( 'name', 'Principal Menu', 'nav_menu' );
	$user_menu     = get_term_by( 'name', 'User Menu', 'nav_menu' );
	$footer_menu   = get_term_by( 'name', 'Footer Menu', 'nav_menu' );

	set_theme_mod( 'nav_menu_locations', array(
			'top_menu_left' => $top_menu_left->term_id,
			'main_menu'     => $main_menu->term_id,
			'user_menu'     => $user_menu->term_id,
			'footer_menu'   => $footer_menu->term_id,
		)
	);

	// Assign front page and posts page (blog page).
	$front_page_id = get_page_by_title( 'Clothing' );
	$blog_page_id  = get_page_by_title( 'Blog' );

	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );
	update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'saha_after_import_setup' );
